@charset "utf-8";

.site-main {
	--flow-color: hsl(var(--thyuu--main-color) / .2);
	--sun-size: 70vmin;
	padding-top: 0;
	padding-inline: 0;
	gap: var(--thyuu--size-edgelr);
}
:where(.site-main) figure {
	--back-color: hsl(var(--cover-color-h, 0) var(--cover-color-s, 0) clamp(10%, (var(--cover-color-l, 0%) - 50%) * 2, 40%));
	position: relative;
	background: var(--back-color, #222);
	border-radius: var(--thyuu--size-radius);
	overflow: hidden;
	transition: inherit;
}
:where(.site-main) figure:after {
	position: absolute;
	inset: 0;
	content: "";
	background: linear-gradient(rgb(0 0 0 / 20%), #0000 30%, var(--back-color, #222) calc(100% - var(--thyuu--size-edgetb)));
	-webkit-backdrop-filter: var(--mask-blur);
	backdrop-filter: var(--mask-blur);
	-webkit-mask: var(--mask-back);
	mask: var(--mask-back);
	pointer-events: none;
	border-radius: inherit;
}
:where(.site-main) figure :where(img, video) {
	position: absolute;
	inset: 0;
	width: 100%;
	height: 100%;
	object-fit: cover;
}
:where(.site-main) h6 {
	font-size: var(--thyuu--size-title);
	z-index: 1;
}
:where(.site-main) .avatar {
	outline: thin solid hsl(var(--btns-color, var(--thyuu--main-color)) / .2);
}
:where(.for-focus) .post thyuu-embed,
:where(.for-focus) .post:where(:not(.for-first)) figure img.loaded,
:where(.site-main) .post:where(.fade-before) figure img.loaded {
	opacity: 0;
	transform: scale(1.2);
	transition: .5s .1s;
}
:where(.for-focus) .post hgroup > *,
:where(.for-focus) .post article .comment,
:where(.site-main) .post:where(.fade-before) article > * {
	opacity: 0;
	transform: translateY(1em);
	transition: .5s .2s;
}
:where(.for-focus) .post hgroup > *:nth-child(2),
:where(.site-main) .post:where(.fade-before) article > *:nth-child(2)  {
	transition-delay: .4s;
}
:where(.for-focus) .post hgroup > *:nth-child(3),
:where(.site-main) .post:where(.fade-before) article > *:nth-child(3) {
	transition-delay: .6s;
}
:where(.for-focus) .post article .comment,
:where(.site-main) .post:where(.fade-before) article > *:nth-child(4) {
	transform: scale(1.5);
	transition-delay: .8s;
}
:where(.for-focus) .post:where(:hover, .active) thyuu-embed,
:where(.for-focus) .post:where(:hover, .active) hgroup > *,
:where(.site-main) .post:where(:hover, .active, .fade-before.fade-after) :is(article > *, figure img.loaded) {
	opacity: 1;
	transform: none;
}
.font-small {
	color: hsl(var(--thyuu--color-font) / .6);
	font-size: var(--thyuu--size-small)
}
.line-clamp {
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: var(--line-clamp,1);
	text-overflow: ellipsis;
	overflow: hidden;
}
.flex-block {
	position: relative;
	display: flex;
	flex-flow: var(--block-flow, column);
	border-radius: var(--thyuu--size-radius);
	background: var(--block-bg, var(--thyuu--color-back-white));
}
.flex-inner {
	max-width: calc(var(--thyuu--size-card-normal) * 5);
	margin-inline: auto;
}
:where(.read-more):before {
	content: "\e667";
	font-family: thyuu-iconfont;
}
.part-head {
	position: relative;
	contain: layout;
	display: flex;
	flex: max(var(--thyuu--size-card-normal)* 2, 40%);
	flex-flow: column;
	justify-content: center;
	align-items: center;
	text-align: center;
	text-wrap: balance;
	color: hsl(var(--thyuu--main-color));
	font-size: var(--thyuu--size-medium);
	min-height: min(var(--thyuu--size-card-normal), 20vmin);
	max-width: 100%;
	padding: var(--thyuu--size-edgelr);
	gap: 1em;
}
.part-head h2 {
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
	font-family: var(--thyuu--font-family-slogn);
	font-size: clamp(2.5em, 5vmin, 4em);
	line-height: 1;
}
.part-head h2:before {
	content: '';
	position: absolute;
	height: 6em;
	aspect-ratio: 1;
	border-inline: 2px solid;
	border-radius: 50%;
	transform: rotate3d(3, 0, 1, 80deg);
	pointer-events: none;
	opacity: .5;
}
.part-head i {
	font-size: var(--thyuu--size-small);
	font-weight: var(--thyuu--font-weight-title);
	text-transform: uppercase;
	opacity: .5;
}
.part-head em {
	display: flex;
	align-items: center;
	gap: .5em;
	font-size: var(--thyuu--size-small);
}
.part-head em svg {
	width: 1em;
	height: 1em;
	fill: currentColor;
	animation: rotate 7s linear paused infinite;
	transition: .7s;
}
.post-meta {
	--a-line-slide: none;
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: center;
	font-size: var(--thyuu--size-small);
	width: fit-content;
	line-height: 1;
	color: hsl(var(--thyuu--color-font) / .6);
	background: hsl(var(--thyuu--color-font) / .05);
	backdrop-filter: blur(10px) saturate(1.5);
	border: thin solid hsl(var(--thyuu--color-font) / .05);
	border-radius: min(var(--thyuu--size-radius) * 2, 2em);
	margin-inline: auto;
	padding: 1em;
	gap: 1em .5em;
}
.post-meta :is(i, img, .button) {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	height: var(--avatar-size, 2em);
	min-width: var(--avatar-size, 2em);
	border-radius: var(--avatar-size, 2em);
	background: hsl(var(--btns-color, var(--thyuu--color-font)) / .1);
}
.post-meta :is(i, img):first-child {
	margin: -.5em 0 -.5em -.5em;
}
.post-meta .button:last-child {
	padding: .5em;
	margin: -.5em -.5em -.5em 0;
}

[plots=shrink] .for-times  {
	width: 100vw;
	left: 50%;
	transform: translateX(-50%);
	margin: 0;
	justify-items: center;
	justify-content: center;
}
.for-suns {
	--back-color: inherit;
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	height: 100%;
	inset: 0;
	contain: layout;
	transition: 1s;
	overflow: hidden;
}
.sun-area {
	position: absolute;
	color: var(--flow-color);
	font-size: var(--sun-size);
	width: 1em;
	height: 1em;
	transform-style: preserve-3d;
	pointer-events: none;
}
.sun-area sun, .sun-area flow,.sun-area flow i {
	position: absolute;
	width: 1em;
	height: 1em;
	border-radius: 50%;
	transform-style: preserve-3d;
}
.sun-area sun {
	background: var(--thyuu--color-back-have);
	box-shadow: 0 0 .25em, 0 -.25em .25em .25em inset;
}
.sun-area flow i {
	border: thin solid;
	opacity: 0;
	transform: rotate3d(1, 0, 0, 75deg);
	animation: flow 10s linear infinite backwards
}
.sun-area flow i:nth-child(2) {
	animation-duration: 8s;
	animation-delay: 2s
}
.sun-area flow i:nth-child(3) {
	animation-delay: 4s
}
.for-first {
	--back-color: hsl(var(--limited-color-mask));
}
.for-first thyuu-embed {
	width: 100%;
	height: 100%;
}
.for-first thyuu-embed.loaded :is(img, video) {
	opacity: var(--limited-media-opacity, 1);
}
.for-first thyuu-embed.loaded video {
	cursor: pointer;
}
.for-first .for-come {
	--thyuu--color-font: var(--limited-color);
	color: hsl(var(--thyuu--color-font) / .8);
}
.for-first .greets {
	text-transform: capitalize;
	box-shadow: var(--thyuu--shadow-white);
}
.for-first .greets i {
	background: none;
	color: #000;
	font-size: 2em;
	margin: -1em -.5em;
}
.for-first.active .greets i {
	--trfm: rotate(15deg);
	--trfm-or: 50%;
	animation: transform 0.3s 4 0.5s alternate-reverse;
}
.for-first .for-come h1,
.for-focus .post hgroup h2 {
	font-family: var(--thyuu--font-family-slogn);
	font-size: clamp(1.5em, var(--sun-size) / (var(--count,10) + 1), 4em);
	letter-spacing: max(2px,var(--sun-size) / var(--count,10) / 10);
	text-shadow: .1em .1em hsl(var(--thyuu--color-font) / .1);
	-webkit-mask: linear-gradient(#000 30%, rgb(0 0 0 / .5));
	mask: linear-gradient(#000 30%, rgb(0 0 0 / .5));
}
.for-first.not-limited {
	grid: 3em 1fr 3em / 1fr !important;
}
.for-first.not-limited .for-suns {
	background: none;
	height: 100%;
}
.for-first.not-limited:before,
.for-first.not-limited .for-suns:after {
	display: none;
}
.for-first.not-limited .for-come {
	--thyuu--color-font: var(--thyuu--main-color);
}
.for-focus {
	--pad-size: var(--thyuu--size-edgelr);
	--row-size: calc(100vh + .5em);
	position: relative;
}
.nav-color-dark .for-focus {
	--thyuu--color-font: 0 0 100%;
}
.for-focus .tabbed-list {
	padding-bottom: 4em;
}
.for-focus .tabbed-tool {
	position: absolute;
	inset: auto 0 1.5em;
}
.for-focus .tabbed-dot button:first-of-type {
	background: hsl(var(--thyuu--main-color) / .2);
	height: 2em;
	width: 2em;
	margin: -1em 0 -1em -1em;
}
.for-focus .tabbed-dot button:first-of-type.active {
	width: 3em;
	color: hsl(var(--thyuu--main-color));
}
.for-focus .tabbed-dot button:first-of-type::before {
	content: "\e612";
	font-family: thyuu-iconfont;
	font-style: normal;
	font-weight: normal;
}
.for-focus .post {
	--line-clamp: 2;
	display: grid;
	justify-items: center;
	grid: max(40vh, 50vmin) 1fr 3em / 1fr;
	color: hsl(var(--thyuu--color-font) / .8);
	padding: 1em var(--thyuu--size-edgelr);
	gap: 1em;
}
.for-focus .post:not(.for-first) {
	--back-color: hsl(var(--cover-color-h, 0) var(--cover-color-s, 0) clamp(10%, (var(--cover-color-l, 0%) - 50%) * 2, 40%));
}
.for-focus .post:before {
	content:'';
	position: absolute;
	inset: 0;
	background: var(--back-color);
	border-radius: 0 0 100vw 100vw / var(--thyuu--size-radius);

}
.for-focus .post figure {
	position: absolute;
	inset: 0;
	border-radius: 0;
	height: max(60vh, 100vmin);
}
.for-focus .post hgroup {
	grid-area: 2;
	position: relative;
	display: flex;
	flex-flow: column;
	align-items: center;
	justify-content: center;
	text-align: center;
	text-wrap: balance;
	max-width: 100vmin;
	gap: 1em;
	transition: inherit;
}
.for-focus .post hgroup h2 {
	--count: 15;
	letter-spacing: 0;
}
.for-focus .post hgroup p {
	max-width: min(var(--thyuu--size-card-normal)*2, 100%);
}
.for-focus .post article {
	grid-area: 3;
	align-self: end;
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: var(--thyuu--size-small);
	width: min(var(--thyuu--size-card-normal), 100%);
	color: hsl(var(--thyuu--color-font) / .6);
	gap: 1em;
	z-index: 2;
}
.for-mnts {
	position: relative;
	width: auto;
	min-width: min(var(--thyuu--size-card-normal), 100%);
	padding: 1em;
	margin: -1em;
	border-radius: min(var(--thyuu--size-radius) * 2, 2em);
	z-index: 2;
	overflow: clip;
}
.for-mnts::before {
	content: '';
	position: absolute;
	inset: .5em;
	pointer-events: none;
	border: thin solid #0000;
	border-radius: inherit;
}
.for-mnts:hover::before {
	background: hsl(0 0% 100% / .05);
	backdrop-filter: blur(1em) saturate(1.5);
	border-color: hsl(var(--thyuu--color-font) / 5%);
}
.for-mnts .moments {
	--line-clamp: 1;
	--height: 4em;
	display: grid;
	max-height: var(--height);
	gap: .5em;
	border-radius: inherit;
	pointer-events: none;
	scroll-snap-type: y mandatory;
	scroll-padding: .5em;
	overscroll-behavior: contain;
	transition: .3s, pointer-events 0s;
}
.for-mnts:hover .moments {
	--line-clamp: auto;
	--height: 8em;
	padding: .5em .5em 2em;
	margin: -.5em -.5em -2em;
	max-height: calc(70vh - var(--thyuu--size-edgetb));
	mask: linear-gradient(#0000, #000 .5em, #000 calc(100% - var(--mask-edge, 4em)), #0000);
	pointer-events: auto;
	overflow: auto;
}
.for-mnts:hover .moments:not(:has(nav)) {
	--mask-edge: .5em;
	padding: .5em;
	margin: -.5em;
}
.for-mnts .moments li {
	position: relative;
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	place-content: center space-between;
	width: 100%;
	min-height: var(--height);
	gap: .5em 1em;
	padding: .75em 1.5em;
	background: hsl(var(--thyuu--color-font) / 5%);
	backdrop-filter: blur(10px) saturate(1.5);
	border: thin solid hsl(var(--thyuu--color-font) / 5%);
	border-radius: inherit;
	z-index: var(--index, 3);
	transform-origin: bottom;
	scroll-snap-align: start;
	transition: inherit;
	overflow: hidden;
}
.for-mnts .moments li:nth-child(2) {
	--index: 2;
	--forms: translateY(-100%) scale(.9);
}
.for-mnts .moments li:nth-child(3) {
	--index: 1;
	--forms: translateY(-200%) scale(.8);
}
.for-mnts .moments li:hover {
	color: hsl(var(--thyuu--color-font) / .8);
	background: hsl(var(--thyuu--color-font) / .1);
}
.for-mnts:not(:hover) .moments li:not(:nth-child(1)) {
	height: var(--height);
	transform: var(--forms);
	pointer-events: none;
}
.for-mnts .moments li p {
	flex: 1;
	line-height: 1;
	border-inline: inherit;
	padding: 0 1em;
}
.for-mnts:hover .moments li p {
	flex: 100%;
	line-height: 2;
	border-top: inherit;
	border-inline: none;
	padding: .5em 0 0;
	order: 2;
}
.for-mnts nav {
	display: flex;
	flex-flow: wrap;
	align-items: center;
	justify-content: center;
	gap: .5em;
	width: 100%;
	margin: .5em 0 0;
}
.for-mnts:not(:hover) nav {
	position: absolute;
	opacity: 0;
	visibility: hidden;
	pointer-events: none;
}
.for-mnts nav a {
	background: hsl(var(--thyuu--color-font) / 5%);
	backdrop-filter: blur(1em);
	border: thin solid hsl(var(--thyuu--color-font) / 5%);
}
.for-focus .post .comment {
	display: flex;
	align-items: center;
	flex-wrap: nowrap;
	gap: 1em;
	padding: 1em;
	margin: -.5em;
	overflow: auto hidden;
}
.for-focus .post .comment > *{
	display: flex;
	justify-content: flex-start;
	flex-direction: column;
	align-items: center;
	flex: none;
}
.for-focus .post .comment li .avatar {
	cursor: pointer;
	outline-offset: .25em;
	margin: .25em;
	z-index: 2;
	transition:.3s;
}
.for-focus .post .comment li div {
	--line-clamp: auto;
	position: absolute;
	display: flex;
	flex-flow: wrap;
	align-items: center;
	justify-content: center;
	text-align: justify;
	text-align-last: center;
	inset: auto -.5em -.5em;
	max-width: var(--thyuu--size-card-normal);
	margin: auto;
	gap: 1em;
	padding: 1em 1em 4.5em;
	background: hsl(var(--thyuu--color-font) / 5%);
	backdrop-filter: blur(1em);
	border: thin solid hsl(var(--thyuu--color-font) / 5%);
	border-radius: var(--thyuu--size-radius);
	z-index: 1;
	transform-origin: bottom;
	transition: .3s;
}
.for-focus .post .comment li:not(:hover) div {
	pointer-events: none;
	opacity: 0;
	visibility: hidden;
	transform: scale(.95);
}
.for-focus .post .comment li div:after {
	content: "";
	border-bottom: inherit;
	flex: 1;
}
.for-focus .post .comment li:hover .avatar {
	outline-color: white;
}
.for-focus .post-meta:hover,
.for-focus .post .comment li:hover div {
	border-color: hsl(var(--thyuu--color-font) / .2);
}
.for-focus .post .comments-number {
	padding: 0 0 0 .75em;
	line-height: 1.5;
	border-left: thin solid hsl(var(--thyuu--color-font) / .1);
	z-index: 2;
}
:where(.for-cates, .for-news) .post:hover figure img {
	transform: scale(1.1);
}
.for-news .post-list {
	--avatar-size: 2em;
	--line-clamp: 2;
	justify-content: center;
	grid: auto-flow dense / repeat(auto-fill, minmax(min(var(--thyuu--size-card-normal), 100%), 1fr));
	max-height: none;
	transition: .3s;
}
.for-news .post {
	flex: min(var(--thyuu--size-card-normal), 100%);
}
.for-news .post article {
	flex: auto;
	display: flex;
	flex-flow: column;
	align-items: center;
	text-align: center;
	text-wrap: balance;
	gap: 1em;
	padding: 1.5em;
}
.for-news .post-meta {
	--btns-color: var(--cover-color-h, 0) var(--cover-color-s, 0) clamp(50%, (var(--cover-color-l, 0%) - 50%) * 2, 70%);
	--thyuu--color-font: var(--btns-color);
}
:is(.for-cates, .for-media) {
	border-radius: 100vw / var(--thyuu--size-edgelr);
	padding: var(--thyuu--size-edgelr) 0;
}
:is(.for-cates, .for-media) .post-meta {
	position: absolute;
	opacity: 0;
	inset: 1em 1em auto;
	transform: translateY(-100%) scale(.8);
	z-index: 1;
	transition: .5s;
}
:is(.for-cates, .for-media) .post.fade-after:hover :is(.post-meta, h6) {
	transform: none;
	opacity: 1;
}
:is(.for-cates, .for-media) .post-meta [class*="thyuu-icon-"]::before {
	margin: 0 .25em;
}
.for-cates {
	background: var(--thyuu--color-back-white);
	padding-bottom: calc(var(--thyuu--size-edgelr) * 2);
	margin-bottom: calc(var(--thyuu--size-edgelr) * -2);
}
.for-cates .cate-list {
	counter-reset: cate-list;
	display: flex;
	flex-direction: column;
	gap: clamp(var(--thyuu--size-edgelr),10vw,20vh);
}
.for-cates .cate {
	--trfm: translateY(1em);
	--line-clamp: 2;
	min-height: min(var(--thyuu--size-card-normal) + 20vw + var(--thyuu--sticky-head),100vmin);
	place-content: center;
	gap: 1em;
}
.for-cates .cate hgroup {
	contain: layout;
	position: relative;
	display: flex;
	width: 100%;
	color: hsl(var(--thyuu--main-color));
	gap: .5em;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}
.for-cates .cate hgroup i {
	position: absolute;
	white-space: nowrap;
	font-size: clamp(2em,100vw / var(--count, 5), 20vw);
	font-weight: var(--thyuu--font-weight-title);
	text-align: center;
	text-wrap: balance;
	text-transform: uppercase;
	max-width: 100%;
	height: 1em;
	line-height: 1;
	opacity: 5%;
	pointer-events: none;
	overflow: hidden;
	z-index: -1;
}
.for-cates .cate > article {
	z-index: 3;
}
.for-cates .post-list {
	flex: 100%;
	align-content: center;
}
.for-cates .post {
	--thyuu--color-font: var(--cover-color-h, 0) var(--cover-color-s, 0) clamp(80%, (var(--cover-color-l, 0%) - 50%) * 2, 90%);
	--cover-color: var(--cover-color-h, 0) var(--cover-color-s, 0) clamp(10%, (var(--cover-color-l, 0%) - 50%) * 2, 40%);
	background: hsl(var(--cover-color));
}
.for-cates .post article {
	position: relative;
	display: flex;
	flex-flow: column;
	justify-content: space-evenly;
	align-items: center;
	text-align: center;
	text-wrap: balance;
	gap: .5em;
	padding: 1em;
	color: hsl(var(--thyuu--color-font));
	flex: 1;
	min-width: min(var(--thyuu--size-card-normal), 100%);
}
.for-news .post figure,
.for-cates .post figure {
	--thyuu--color-font: 0deg 0% 100%;
	padding: .5em;
	aspect-ratio: var(--custom-thumb-ratio, 1);
	min-height: var(--thyuu--size-card-small);
	background: none;
	transition: 1s;
}
.for-cates .post-meta {
	inset: auto 0 0;
	transform: translateY(100%) scale(.8);
}
.for-media {
	--thyuu--color-font: 0 0 100%;
	--thyuu--main-color: 0 0 100%;
	background: #222;
}
.for-media .post {
	flex: auto;
	background: var(--back-color, #222);
	transition: 1s;
}
.for-media .post:is(:hover, .active) figure {
	transform: none;
}
.for-media .post figure img {
	position: relative;
	height: var(--row-size, min(var(--thyuu--size-card-normal), 50vmax));
}
.for-media .post:is(:hover, .active) figure img {
	transform: scale(1.1);
}
.for-media .post article {
	position: absolute;
	display: flex;
	flex-wrap: wrap;
	place-content: space-between;
	justify-content: center;
	align-items: center;
	text-align: center;
	color: hsl(var(--thyuu--color-font) / .7);
	inset: auto 1em 1em;
	gap: .75em;
	z-index: 2;
}
.for-media .post h6 {
	font-size: var(--thyuu--size-medium);
}
.for-media .post-format-video {
	--row-size: max(70vmin, var(--thyuu--size-card-normal));
	--col-size: 100vw;
	--line-clamp: 3;
	margin: var(--thyuu--size-edgetb) 0 0;
}
.for-minds {
	--tabbed-space: center;
	--line-clamp: 10;
}
.for-minds .post {
	--avatar-size: 2em;
	display: flex;
	flex-flow: column;
	gap: .25em;
}
.for-minds .post header {
	position: relative;
	display: flex;
	flex-flow: wrap;
	align-items: center;
	gap: .5em;
	line-height: 1;
}
.for-minds .post header:after {
	content: "";
	border-bottom: thin solid hsl(var(--btns-color, var(--thyuu--main-color)) / .2);
	flex: 1;
	margin: 0 -1em 0 0;
}
.for-minds .post header img {
	outline-offset: .25em;
	margin: .25em;
	transition: .3s;
}
.for-minds .post:hover header img {
	outline-offset: 0;
}
.for-minds .post .read-more {
	color: hsl(var(--thyuu--main-color) / .6);
	background: hsl(var(--thyuu--main-color) / .1);
	height: var(--avatar-size, 2em);
	width: var(--avatar-size, 2em);
	border-radius: 50%;
	transition: .3s;
}
.for-minds .post article {
	--block-flow: wrap;
	flex: auto;
	align-content: space-between;
	font-size: var(--thyuu--size-medium);
	padding: 1em;
	gap: .5em;
	transition: .3s;
}
.for-times {
	position: relative;
	display: flex;
	align-items: center;
	justify-content: space-between;
	flex-flow: column;
	max-width: 100vw;
	gap: 1em;
	padding: 0 0 max(var(--thyuu--size-normal) * 5, 20vmin);
	contain: paint;
	overflow: clip;
}
.for-times nav {
	display: flex;
	flex-flow: wrap;
	justify-content: center;
}
.for-times nav i {
	width: 1em;
	height: .25em;
	background: var(--flow-color);
	border-radius: 50%;
	flex: 100%;
	box-shadow: 0 0 2em -0.5em;
}
.for-times figure {
	position: absolute;
	bottom: 0;
	display: flex;
	justify-content: center;
	font-size: 100vw;
	width: 1.5em;
	height: 1em;
	margin: -100% 0 0;
	background: none;
	pointer-events: none;
	z-index: -1;
	overflow: visible;
}
.for-times figure:before,
.for-times figure:after {
	content: "";
	position: absolute;
	color: var(--flow-color);
	border-radius: 50%;
	inset: .02em;
	box-shadow: 0 .02em .02em -.02em, 0 -.02em .02em -.02em inset, 0 -.06em .06em -.06em inset;
}
.for-times figure:after {
	background: 0;
	z-index: -1;
}
.for-times figure progres {
	position: absolute;
	display: flex;
	align-items: flex-end;
	justify-content: center;
	color: var(--flow-color);
	width: calc(var(--pct) * 1%);
	max-width: 100%;
	min-height: fit-content;
	margin: auto;
	inset: auto 0 .02em;
	padding: 0 0 .02em;
	white-space: nowrap;
	box-shadow: 0 -.06em .02em -.06em inset, 0 .02em .02em -.02em, 0 .04em .04em -.04em;
	aspect-ratio: 1;
	border-radius: 50%;
}
.for-times figure progres:after {
	content: counter(progress) "%";
	counter-reset: progress var(--pct);
	font-size: max(var(--thyuu--size-normal), 2vw);
	font-weight: bold;
	line-height: 1;
	color: hsl(var(--thyuu--main-color));
}
@media (min-width:1153px) {
	.for-focus .tabbed-list {
		padding-bottom: .5em;
	}
	.for-focus .tabbed-tool {
		position: sticky;
		margin-bottom: -1em;
	}
	.for-first .for-come p {
		font-size: var(--thyuu--size-medium);
	}
	.for-media :where(.post-format-image, .post-format-gallery) .tabbed-list {
		display: flex;
		flex-wrap: wrap;
		max-height: none;
	}
	.for-media :where(.post-format-image, .post-format-gallery) .post:hover {
		flex-grow: 1.5;
	}
	.for-media .post-format-video {
		--tabbed-space: center;
	}
	.for-minds .tabbed-list {
		grid: auto / repeat(10, 1fr);
		align-items: center;
		max-height: none;
		min-height: 100vh;
		padding: 0;
		gap: 0;
	}
	.for-minds .tabbed-list::after {
		content: "";
		color: hsl(var(--thyuu--main-color));
		position: absolute;
		inset: 0;
		background: linear-gradient(90deg, currentColor 1px, #0000 0) 0 50% / 10% 10%, linear-gradient(180deg, currentColor 1px, #0000 0) 50% 0 / 15.5% 15.5%;
		z-index: -1;
		opacity: .15;
		transition: 1s;
		mask: linear-gradient(#0000, #000, #0000);
	}
	.for-minds .post {
		--avatar-size: 3em;
		--trfm: none;
		grid-column: auto / span 2;
	}
	.for-minds .post:nth-child(5) {
		grid-column-start: 2;
	}
	.for-minds .post:nth-child(6) {
		grid-column-start: 8;
	}
	.for-minds .post:is(:nth-child(3),:nth-child(9)) {
		grid-column-start: 7;
	}
	.for-minds .post header {
		flex-flow: column;
	}
	.for-minds .post .read-more {
		position: absolute;
		inset: .25em auto;
		font-size: inherit;
		outline: thin solid;
		backdrop-filter: blur(10px);
		color: white;
	}
	.for-minds .post:not(:hover) .read-more {
		opacity: 0;
		scale: 1.5;
	}
	.for-minds .post article {
		position: absolute;
		inset: 0;
		width: 25%;
		max-width: var(--thyuu--size-card-normal);
		margin: auto;
		height: fit-content;
		box-shadow: var(--thyuu--shadow-white);
		pointer-events: none;
	}
	.for-minds :is(.tabbed-list:has(.post:not(:first-child):hover) .post:first-child, .post:not(:hover, :first-child)) article {
		opacity: 0;
		transform: translatey(1em);
	}
}

@media (max-width:1152px) {

}

@supports (animation-timeline: view()) {
	.part-head i {
		--trfm: scale(4);
		animation: transform, opacity;
		animation-timeline: view(block);
		animation-range: cover 0% contain 50%;
	}
	.part-head h2 {
		--trfm: scale(.5);
		--trfm-in: scale(1);
		--trfm-or: 50%;
		animation: transform, opacity;
		animation-timeline: view(block);
	}
	.part-head h2:before {
		--trfm: rotate3d(3, 0, -1, 80deg) scale(4);
		--trfm-in: rotate3d(3, 0, 1, 80deg);
		--trfm-or: 50%;
		--opci-in: .5;
		animation: transform, opacity;
		animation-timeline: view(block);
	}
	.for-cates .cate hgroup i  {
		--trfm: scale(3);
		--opci: .1;
		--opci-in: .05;
		animation: transform, opacity;
		animation-timeline: view(block);
		animation-range: cover 0% contain 50%;
	}
}


@keyframes flow {
	10% { opacity: 1 }
	100% { transform: scale(3) rotate3d(1, 0, 0, 75deg); opacity: 0 }
}